body {
  margin: 0;
}

:host {
  display: flex;
}

.hidden {
  display: none !important;
}
.VisualContainer {
  top: 0;
  left: 0;
  width: 424px;
  height: 750px;
  display: flex;
  flex-direction: column;
  background: #0B1A41;

  &.Winners {
    .Header {
      .Throw {
        display: none;
      }

      .Total {
        display: flex;
      }
    }

    .Row {
      .Player, .Player.Red {
        background: #00FF7F;
        color: black;

        .Throw {
          display: none;
        }

        .Total {
          display: flex;
          color: black;
          background: #72FFBB;
        }
      }

      &.Winner {
        &.Last {
          margin-bottom: 50px;
        }

        .Position {
          color: #FED91F !important;
        }

        .Player {
          background: #FED91F;
          color: black;
        }

        .Total {
          background: #FFE571 !important;
        }
      }
    }
  }

  .Header {
    background: black;
    padding-left: 51px;
    height: 29px;
    display: flex;
    font-size: 18px;
    color: white;
    font-family: 'Barlow', sans-serif;
    box-sizing: border-box;

    .Name {
      display: flex;
      align-items: center;
      padding-left: 15px;
      flex: 1;
      background: #0B1A41;
    }

    .Throw {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 56px;
      background: #0B1A41;
    }

    .Total {
      display: none;
    }
  }

  .Row {
    display: flex;
    margin-bottom: 10px;

    .Position {
      background: #0C225C;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 51px;
      height: 45px;
      color: white;
      font-family: 'Barlow Condensed', sans-serif;
      font-size: 24px;
      box-shadow: 0 2px black;
    }

    .Player {
      flex: 1;
      display: flex;
      align-items: center;
      justify-content: center;
      height: 45px;
      background: #098EE8;
      box-shadow: 0 2px #04F5FF;
      color: white;
      font-size: 24px;
      box-sizing: border-box;

      &.Red {
        background: #AD1F1F;

        .Throw.Odd {
          background: #CC4747;
        }
      }

      .Name {
        font-family: 'Barlow', sans-serif;
        flex: 1;
        padding: 0 14px;
      }

      .Throw {
        display: flex;
        align-items: center;
        justify-content: center;
        font-family: 'Barlow Condensed', sans-serif;
        font-weight: 800;
        width: 56px;
        position: relative;
        padding: 4px;
        box-sizing: border-box;
        height: 100%;

        &.Odd {
          background: #3BB0FF;
        }

        .Highlight.Active {
          display: flex;
          align-items: center;
          justify-content: center;
          color: black;
          width: 48px;
          height: 37px;
          border-radius: 5px;
          background: white;
          z-index: 1;
        }
      }

      .Total {
        display: none;
      }
    }
  }
}


.ConfigurationContainer {
  margin: 20px;
  width: calc(100% - 470px);
  height: 800px;
  position: absolute;
  right: 0;
  top: 0;
  display: flex;
  flex-direction: column;

  .Row {
    display: flex;
  }

  .InputGroup {
    display: flex;
    flex-direction: column;
    margin: 20px;

    .Header {
      font-weight: bold;
      text-transform: uppercase;
    }

    label {
      display: flex;
      align-items: center;
      cursor: pointer;
    }
  }

  table {
    td {
      text-align: center;
    }
  }
}
